Pages

Set the submission status

PATCH
/page-submissions/{submission_id}

Mark a submission as PROCESSING, PROCESSED or FAILED after handling it.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

submission_id*Submission Id

Resource identifier: submission_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128
Idempotency-Key*string

A unique key for this intended write. Reuse it only for an identical retry.

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://example.com/page-submissions/123e4567-e89b-42d3-a456-426614174000" \  -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000" \  -H "Content-Type: application/json" \  -d '{    "status": "RECEIVED"  }'
{  "id": "123e4567-e89b-42d3-a456-426614174000",  "page_id": "123e4567-e89b-42d3-a456-426614174001",  "page_version_id": "123e4567-e89b-42d3-a456-426614174002",  "link_id": "123e4567-e89b-42d3-a456-426614174000",  "visit_id": "123e4567-e89b-42d3-a456-426614174001",  "values": {    "email": "customer@example.com",    "message": "Looks good."  },  "attachments": {},  "viewer": {    "id": "123e4567-e89b-42d3-a456-426614174002",    "verified": true,    "first_seen_at": "2026-09-04T12:00:00Z",    "last_seen_at": "2026-09-04T12:00:00Z"  },  "status": "PROCESSED",  "failure_code": null,  "processed_at": "2026-09-04T12:00:00Z",  "submitted_at": "2026-09-04T12:00:00Z"}